MISSINdevelopersLog in

API reference

AttributionConversions

Page through orders with their verdict, revenue and each touchpoint's role, tier,… Read access, attribution toolset, MCP tool get_attribution_conversions.

Page through orders with their verdict, revenue and each touchpoint's role, tier, trust and evidence, with filter and sort.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
afterCursornoOpaque cursor from pageInfo.endCursor
filterOrderFilternoOrderFilter
firstInt!yes32-bit integer. MCP tools send 50 when it is left out
orderBy[OrderOrderBy!]noOne of 39 values, see OrderOrderBy. Default ["PLACED_AT_DESC"]The method to use when ordering Order.

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"AttributionConversions","variables":{"first":50},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"2447d1e72167982b06d4c5af42988971d082eced0fe3fdef2c22416ef97b96e5"}}}'

Document

graphql
query AttributionConversions($after: Cursor, $filter: OrderFilter, $first: Int!, $orderBy: [OrderOrderBy!] = [PLACED_AT_DESC]) { __typename allOrders(first: $first, after: $after, filter: $filter, orderBy: $orderBy) { __typename nodes { __typename attributedRevenue connectionByConnectionId { __typename displayName id rowId } currencyByCurrencyId { __typename code decimalPlaces decimalSeparator id symbol symbolPosition thousandsSeparator } customerId customerJourneysByOrderId(first: 1) { __typename totalCount } discountCodeByDiscountCodeId { __typename code id rowId } discountCodeId externalRef financialStatus formResponseByFormResponseId { __typename channelByChannelId { __typename channelSlug id name rowId } id rowId } formResponseId id integrationSlug orderNumber orderReportedByOrderId { __typename converted id nativeAttributedRevenue nativeCurrency nativeTotalPrice placedDay rate rateDate rateProvider reportedAttributedRevenue reportedTotalPrice reportingCurrency } orderStatus partnerByPartnerId { __typename profileImage: avatarUrl id name rowId username } partnerId placedAt rowId totalPrice touchpointAttributionsByOrderId(first: 12) { __typename nodes { __typename caused computedAt evidencePct formResponseId id marketingAdByMarketingAdId { __typename adNetworkChannel id integrationSlug name rowId startedAt } marketingSend { __typename id integrationSlug name rowId sendChannel sentAt subject } mendStatus mendTier mendTrust partnerPost { __typename id partnerByPartnerId { __typename profileImage: avatarUrl id name rowId username } postType postUrl publishedAt rowId title validity views } role rowId sharePct touchpointId touchpointKind } totalCount } ... on OrderCustom { __typename mendJudgementsByOrderId(first: 1, filter: {supersededAt: {isNull: true}}) { __typename nodes { __typename causeKind computedAt confidence id mendStatus mendTier mendTrust reasonCodes rowId winnerTouchpointId } } } ... on OrderShopify { __typename mendJudgementsByOrderId(first: 1, filter: {supersededAt: {isNull: true}}) { __typename nodes { __typename causeKind computedAt confidence id mendStatus mendTier mendTrust reasonCodes rowId winnerTouchpointId } } } ... on OrderShopify { __typename test } ... on OrderStripe { __typename livemode } ... on OrderStripe { __typename mendJudgementsByOrderId(first: 1, filter: {supersededAt: {isNull: true}}) { __typename nodes { __typename causeKind computedAt confidence id mendStatus mendTier mendTrust reasonCodes rowId winnerTouchpointId } } } } pageInfo { __typename endCursor hasNextPage } totalCount } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.